Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED]insecure RUNPATH's while emerging dev-lang/pike
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
MalachiX
Tux's lil' helper
Tux's lil' helper


Joined: 10 Apr 2005
Posts: 101
Location: Miami, Fl

PostPosted: Sat Mar 18, 2006 5:00 am    Post subject: [SOLVED]insecure RUNPATH's while emerging dev-lang/pike Reply with quote

I was trying to emerge dev-lang/pike and received an error message in the middle of emerging:

Code:

   usr/lib/pike/modules/Gdbm.so
   usr/lib/pike/modules/_Roxen.so
   usr/lib/pike/modules/____Regexp_PCRE.so
   usr/lib/pike/modules/Msql.so
   usr/lib/pike/modules/___Regexp.so
   usr/lib/pike/modules/___Java.so
   usr/lib/pike/modules/Unicode.so
   usr/lib/pike/modules/Shuffler.so
   usr/lib/pike/modules/Odbc.so
   usr/lib/pike/modules/___MIME.so

QA Notice: the following files contain insecure RUNPATH's
 Please file a bug about this at http://bugs.gentoo.org/
 For more information on this issue, kindly review:
 http://bugs.gentoo.org/81745
/var/tmp/portage/pike-7.6.50/work/Pike-v7.6.50/build/linux-2.6.15-gentoo-r1-i686/bundles/lib:/usr/local/lib:/usr/X11R6/lib usr/bin/pike


Can anyone help me out[/code] with this problem?


Last edited by MalachiX on Sat Mar 18, 2006 9:37 am; edited 1 time in total
Back to top
View user's profile Send private message
MalachiX
Tux's lil' helper
Tux's lil' helper


Joined: 10 Apr 2005
Posts: 101
Location: Miami, Fl

PostPosted: Sat Mar 18, 2006 9:36 am    Post subject: Reply with quote

The issue was fixed in the latest unstable version of portage(portage-2.1_pre6). All I had to do was update the sys-apps/portage package (masked by the ~x86 keyword) to the latest version.

After the new version of portage was installed I had to run th following command in order to rebuild the portage cache:
Code:
emerge --metadata


The dev-lang/pike package installed perfectly after that. The two posts that helped me solve my problem were:

1. https://forums.gentoo.org/viewtopic-t-437781-highlight-insecure+runpaths.html
2. https://forums.gentoo.org/viewtopic-t-442721-highlight-.html

I hope this topic helps others in the future with the same problem.

P.S. I am renaming this topic is solved now.
Back to top
View user's profile Send private message
mark_alec
Bodhisattva
Bodhisattva


Joined: 11 Sep 2004
Posts: 6066
Location: Melbourne, Australia

PostPosted: Sun Mar 19, 2006 1:58 am    Post subject: Reply with quote

Moved from Portage & Programming to Duplicate Threads.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum